weka.classifiers.trees.ht

## Class ActiveHNode

- java.lang.Object
- - weka.classifiers.trees.ht.HNode
  - - weka.classifiers.trees.ht.LeafNode
    - - weka.classifiers.trees.ht.ActiveHNode

- All Implemented Interfaces:
    java.io.Serializable, LearningNode
  Direct Known Subclasses:
    NBNode

      public class ActiveHNode
      extends LeafNode
      implements LearningNode, java.io.Serializable

  Node that is "active" (i.e. growth can occur) in a Hoeffding tree
  Version:
    $Revision: 9705 $
  Author:
    Richard Kirkby (rkirkby@cs.waikato.ac.nz), Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `m_weightSeenAtLastSplitEval` The weight of instances seen at the last split evaluation

    - ### Fields inherited from class weka.classifiers.trees.ht.LeafNode

      `m_parentBranch, m_parentNode, m_theNode`

    - ### Fields inherited from class weka.classifiers.trees.ht.HNode

      `m_classDistribution`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActiveHNode()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<SplitCandidate>` | `getPossibleSplits(SplitMetric splitMetric)` Returns a list of split candidates
    `void` | `updateNode(Instance inst)` Update the node with the supplied instance

    - ### Methods inherited from class weka.classifiers.trees.ht.HNode

      `classDistributionIsPure, getDistribution, graphTree, installNodeNums, isLeaf, leafForInstance, numEntriesInClassDistribution, toString, totalWeight, updateDistribution`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### m_weightSeenAtLastSplitEval

          public double m_weightSeenAtLastSplitEval

      The weight of instances seen at the last split evaluation

  - ### Constructor Detail

    - #### ActiveHNode

          public ActiveHNode()

  - ### Method Detail

    - #### updateNode

          public void updateNode(Instance inst)
                          throws java.lang.Exception

      Description copied from class: `HNode`
      Update the node with the supplied instance
      Overrides:
        `updateNode` in class `LeafNode`
      Parameters:
        `inst` - the instance to update with
      Throws:
        `java.lang.Exception` - if a problem occurs

    - #### getPossibleSplits

          public java.util.List<SplitCandidate> getPossibleSplits(SplitMetric splitMetric)

      Returns a list of split candidates
      Parameters:
        `splitMetric` - the splitting metric to use
      Returns:
        a list of split candidates